using System;
using System.Collections.Generic;
using System.Text;
using Yamalib.Yanesdkext.System;
using Yanesdk.Ytl;

namespace Yamalib.Logger
{
    public static class CommonLogWriter
    {
        private static TimestampLogWriter logWriter;

        /// <summary>
        /// ログライターを設定しておくこと
        /// </summary>
        public static TimestampLogWriter LogWriter
        {
            get { return CommonLogWriter.logWriter; }
            set { CommonLogWriter.logWriter = value; }
        }

        /// <summary>
        ///	[async]	1行テキストを出力する
        /// </summary>
        /// <remarks>
        ///		実際には即座に書き込みは行われない。
        ///		いったんtextbufにためられ、別スレッドからファイルに書き込まれる。
        /// </remarks>
        /// <param name="logtext">出力するテキスト</param>
        public static YanesdkResult Write(string logtext)
        {
            if (logWriter == null)
            {
                Console.WriteLine(logtext);
                return YanesdkResult.NoError;
            }
            return logWriter.Write(logtext);
        }


    }
}
